﻿using System.Collections.Generic;
using WpfTreeView.Model;

namespace WpfTreeView.Provider
{
    public class MemoryDataProvider : IMemoryDataProvider
    {
        public List<ArticleMaster> GetArticleMasters()
        {
            var list = new List<ArticleMaster>();
            list.Add(CreateArticleMaster("ArtikelStamm_1"));
            list.Add(CreateArticleMaster("ArtikelStamm_2"));
            return list;
        }

        private ArticleMaster CreateArticleMaster(string masterName)
        {
            var master = new ArticleMaster
            {
                Id = 1,
                MasterName = masterName
            };
            master.Categories = CreateCategories();
            return master;
        }

        private List<ArticleCategory> CreateCategories()
        {
            var list = new List<ArticleCategory>();
            list.Add(new ArticleCategory
            {
                Id = 1,
                CategoryName = "CategoryWithChildren",
                Articles = new List<Article> { new Article
                {
                    Id = 1,
                    Name = "FirstArticle", CategoryId = 1
                } }
            });
            list.Add(new ArticleCategory
            {
                Id = 2,
                CategoryName = "´CategoryWithSubCategories",
                SubCategories = new List<ArticleCategory> { new ArticleCategory
                {
                    Id = 1,
                    CategoryName = "SubCategoryWithChildren",
                    Articles = new List<Article>
                    {
                        new Article
                        {
                            Id = 1,
                            Name = "ArticleInSub",
                            CategoryId = 1
                        }
                    }
                } }
            });
            return list;
        }
    }
}
