﻿using System.Collections.ObjectModel;
using WpfTreeView.Model;

namespace WpfTreeView.ViewModel
{
    public class ArticleMasterViewModel : ViewModelBase
    {
        private readonly ArticleMaster _articleMaster;

        public ArticleMasterViewModel(ArticleMaster articleMaster)
        {
            _articleMaster = articleMaster;
            LoadCategories();
        }

        public int Id => _articleMaster.Id;
        public string MasterName => _articleMaster.MasterName;

        private ObservableCollection<ArticleCategoryViewModel> _categories;
        public ObservableCollection<ArticleCategoryViewModel> Categories { get => _categories; set => SetValue(ref _categories, value); }

        void LoadCategories()
        {
            var list = _articleMaster.Categories;
            Categories = new ObservableCollection<ArticleCategoryViewModel>();
            foreach (var cat in list)
            {
                Categories.Add(new ArticleCategoryViewModel(cat));
            }
        }
    }
}
